Subject: Re: bug#58728: 29.0.50; Minibuffer does not follow tabs

From: Visuwesh <[email-masked]>
Date: Wed, 26 Oct 2022 07:08:08 +0530

[செவ்வாய் அக்டோபர் 25, 2022] Juri Linkov wrote:

> Currently the only code that handles the active minibuffer
> is in tab-bar-new-tab-to:
>
>       ;; Handle the case when it's called in the active minibuffer.
>       (when (minibuffer-selected-window)
>         (select-window (minibuffer-selected-window)))
>
> that ensures that the minibuffer is not selected before creating a new tab.
>
> So should the new feature handle all cases: when a new tab is created and
> when switching existing tabs?  In both cases the minibuffer should follow
> the selected tab?

I'd expect it to.  The active minibuffer should travel across newly
created tabs and old tabs.

> Currently selecting a tab just restores its window-configuration.
> Should it activate the same minibuffer that was active in a previous tab?
> What if two tabs have separate minibuffers?  Which minibuffer wins?
> In a test case:
>
>     1. emacs -Q
>     2. C-x t 2
>     3. M-x
>     4. C-x t o
>     5. M-:
>     6. C-x t o
>
> what minibuffer should be displayed?  Probably the last.

I think showing the most "recent" minibuffer should be shown.  If we go
by minibuffer-depth-indicate-mode, then the most "recent" minibuffer
would be the labelled 2.